﻿namespace inutralia.ViewModels
{
    using inutralia.Models;
    using System.Threading.Tasks;


    public class DetailsNutriQuestionListViewModel : BaseNavigationViewModel
    {
        public DetailsNutriQuestionListViewModel(Conversation conversation)
        {
            Conversation = conversation;
            Title = Conversation.Subject;
            if (Conversation.Messages == null)
                Conversation.Messages = new Message[0];
        }


        public DetailsNutriQuestionListViewModel() { Conversation = new Conversation(); }


        public Conversation Conversation { get; private set; }

       
    
        public async Task RefreshData()
        {
            if (Conversation == null)
                return;

            IsBusy = true;

            if (await App.API.RefreshItemAsync(Conversation))
            {
                OnPropertyChanged("Conversation");

                // Cambiar título
                Title = Conversation.Subject;
            } //endif

            IsBusy = false;
        }
        public async Task saveData(string messageValue)
        {
            IsBusy = true;

            Conversation.Message = messageValue;

            await App.API.UpdateItemAsync(Conversation);

            IsBusy = false;
        }
    }
}